Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Class ReplaceAuthorsCopyOption

    java.lang.Object
      com.ibm.workplace.wcm.api.ReplaceAuthorsCopyOption

All Implemented Interfaces:
  CopyOption

    public class ReplaceAuthorsCopyOption

extends java.lang.Object
implements CopyOption

This `CopyOption` is used to replace the original authors of the source item being copied. If this option is used with `RecursiveCopyOption`, all items copied will have their authors replaced.

Since:
  8.0.0.1

Constructor Summary
`ReplaceAuthorsCopyOption()`

Method Summary
`void` | `addAuthor(java.lang.String p_author)` Adds an author to this object.
`void` | `clearAuthors()` Removes all authors of this object.
`java.util.List<java.lang.String>` | `getAuthors()` Returns the author/s of this item.
`void` | `setAuthor(java.lang.String p_author)` Sets author of this object.
`void` | `setAuthors(java.util.List<java.lang.String> p_authors)` Sets a list of Strings representing the list of authors to this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplaceAuthorsCopyOption

    public ReplaceAuthorsCopyOption()

Method Detail

### setAuthor

    public void setAuthor(java.lang.String p_author)

  Sets author of this object. All previous added authors will be removed. Can be a user DN or CN, depending on setting in Workspace.useDistinguishedNames().

  Parameters:
    `p_author` - author of this object to be set to

### setAuthors

    public void setAuthors(java.util.List<java.lang.String> p_authors)

  Sets a list of Strings representing the list of authors to this object. The list contains user DNs or CNs, depending on setting in Workspace.useDistinguishedNames().

  Parameters:
    `p_authors` - a list of Strings authors to be set to this object

### addAuthor

    public void addAuthor(java.lang.String p_author)

  Adds an author to this object. Can be a user DN or CN, depending on setting in Workspace.useDistinguishedNames().

  Parameters:
    `p_author` - author of this object to be added to the list of authors

### clearAuthors

    public void clearAuthors()

  Removes all authors of this object.

### getAuthors

    public java.util.List<java.lang.String> getAuthors()

  Returns the author/s of this item. The list contains user DNs or CNs, depending on setting in Workspace.useDistinguishedNames().

  Returns:
    the list of author/s

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD